<p id="notice"><%= notice %></p>
<div class="container">
  <nav class="breadcrumb">
    <%= link_to "Home", root_path, class: "breadcrumb-item"%>
    <%= link_to "Projects", projects_path, class: "breadcrumb-item" %>
    <span class="breadcrumb-item active"> <%= @project.name %></span>
  </nav>
  <br>
  <div class="row">
    <div class="col btn-group">
      <button class="btn btn-secondary"> <%= link_to 'Overview', @project %> </button>
      <button class="btn btn-secondary active"><%= link_to 'Issues', project_tickets_path(@project) %></button>
      <button class="btn btn-secondary"><%= link_to 'New Issue', new_project_ticket_path(@project) %></button>
      <button class="btn btn-secondary">My Issues</button>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <div class="card">
        <table  class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>ID</th>
              <th>Subject</th>
              <th>State</th>
              <th>Priority</th>
              <th>Last Action</th>
              <th>Comments</th>
              <th>Time</th>
              <th  class="sorter-false" colspan="5" ></th>
            </tr>
          </head>
          <tbody>
            <% @tickets.each_with_index do |ticket, index| %>
            <tr>
              <td>
                <%= ticket.id %>
                <% if ticket.checkboxes.try(:any?) %>
                &nbsp;<a href=""><i class='fa fa-hand-o-down' data-toggle="collapse" data-target="#checkboxes<%=index.to_s%>"></i></a>
                <% end %>
              </td>
              <td><%=ticket.subject %></td>
              <td><%=ticket.state %></td>
              <td><%= ticket.priority %></td>
              <td>
                <% if ticket.comments.try(:any?) %>
                <%= time_ago_in_words(ticket.comments.maximum('updated_at')) %>
                <% else %>
                <%= time_ago_in_words(ticket.updated_at) %>
                <% end %>
              </td>
              <td><%= ticket.comments.count %></td>
              <td>
                <%= ticket.timelogs.sum(:spend_time)%> / 
                <%= ticket.estimated_hours %>
              </td>
              <% if ticket.state == "new" %>
              <td><%= link_to "<i class='fa fa-arrow-right'></i>".html_safe, change_project_ticket_path(@project, ticket, state: "in progres" ), method: :put %></td> 
              <%else %>
              <td><%= link_to "<i class='fa fa-arrow-down'></i>".html_safe, change_project_ticket_path(@project, ticket, state: "closed" ), method: :put %></td> 
              <% end %>
              <td><%= link_to "<i class='fa fa-clock-o'></i>".html_safe, new_project_ticket_timelog_path(@project, ticket) %></td>
              <td><%= link_to "<i class='fa fa-eye'></i>".html_safe, project_ticket_path(@project,ticket) %></td>
              <% if current_user.id == ticket.user_id %>
              <td><%= link_to "<i class='fa fa-pencil'></i>".html_safe, edit_project_ticket_path(@project, ticket) %></td>
              <td><%= link_to "<i class='fa fa-times'></i>".html_safe, project_ticket_path(@project,ticket), method: :delete, data: { confirm: 'Are you sure?' } %></td>
              <% end %>
            </tr>
            <tr id="checkboxes<%= index.to_s%>" class="collapse out">
              <td>
              </td>
              <td>
                <div>
                  <ol>
                    <% ticket.checkboxes.each do |c| %>
                    <% if c.completed_at? %>
                    <div class="row">
                      <div class="col-sm-3">
                        <i class='fa fa-check-square-o'></i>
                        <%= link_to "<i class='fa fa-times'></i>".html_safe, project_ticket_checkbox_path(@project, ticket, c), method: :delete, data: { confirm: 'Are you sure?' } %>
                      </div>              
                      <div class="col-sm-9">
                        <s><%= c.content %></s>
                      </div>
                    </div>

                    <% else %>
                    <div class="row">
                      <div class="col-sm-3">
                        <%= link_to "<i class='fa fa-square-o'></i>".html_safe, complete_project_ticket_checkbox_path(@project,ticket, c), method: :patch %>
                      </div>
                      <div class="col-sm-9">
                        <%= c.content %>
                      </div>
                    </div>
                    <% end %>
                    <% end %>
                  </ol>
                </div>
              </td>
            </tr>
            <% end %>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
